#ifndef GENMOVE_H
#define GENMOVE_H

// includes

#include "movelist.h"


// functions

void GenMoves(board_t *board, movelist_t *movelist);
void GenPseudoMoves(board_t *board, movelist_t *movelist);
void GenPseudoNonCaptures (board_t *board, movelist_t *movelist);
void GenPseudoCaptures (board_t *board, movelist_t *movelist);
void GenPseudoCheckEscapes (board_t *board, movelist_t *movelist);
void GenPseudoQuietChecks(board_t *board, movelist_t *movelist);
int GenStalemateCheck (board_t *board);

#endif
